{% extends 'layouts/base.html' %} 
{% load crispy_forms_tags %} 
{% load static %}

{% block style %}
<link rel="stylesheet" href="{% static 'style/Core.module.css' %}" />
<link
  href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
  rel="stylesheet"
  integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN"
  crossorigin="anonymous"
/>

<script
  src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.23.0/moment.min.js"
  integrity="sha256-VBLiveTKyUZMEzJd6z2mhfxIqz3ZATCuVMawPZGzIfA="
  crossorigin="anonymous"
></script>

<link
  rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.1.2/css/tempusdominus-bootstrap-4.min.css"
  integrity="sha256-XPTBwC3SBoWHSmKasAk01c08M6sIA5gF5+sRxqak2Qs="
  crossorigin="anonymous"
/>
<script
  src="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.1.2/js/tempusdominus-bootstrap-4.min.js"
  integrity="sha256-z0oKYg6xiLq3yJGsp/LsY9XykbweQlHl42jHv2XTBz4="
  crossorigin="anonymous"
></script>
{% endblock style %} 

{% block body %}
<nav class="navbar navbar-expand-lg navbar-light p-1 p-lg-4">
  <a class="navbar-brand font-weight-bold mx-4 textMainDark" href="#">PACIL-LIST</a>
  <button
    class="navbar-toggler"
    type="button"
    data-toggle="collapse"
    data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent"
    aria-expanded="false"
    aria-label="Toggle navigation"
  >
    <span class="navbar-toggler-icon"></span>
  </button>

  <div
    class="collapse navbar-collapse d-flex flex-column flex-lg-row"
    id="navbarSupportedContent"
  >
    <form
      class="form-inline my-2 my-lg-0 mr-auto flex-grow flex-fill w-100"
      action="{% url 'view:home' %}"
      method="GET"
    >
      <input
        class="form-control mr-sm-2 w-100 shadow-box border border-white px-4"
        name="search"
        type="search"
        placeholder="Search"
        aria-label="Search"
      />
      <button class="btn btn-outline-success my-2 my-sm-0 d-none" type="submit">
        Search
      </button>
    </form>
    <ul class="navbar-nav">
      <li class="nav-item mx-2">
        <a class="nav-link" href="/">Home</a>
      </li>
      <li class="nav-item mx-2">
        <a
          class="nav-link textSecondaryDark font-weight-bold"
          href="{% url 'add:index' %}"
          >Add</a
        >
      </li>
      <li class="nav-item mx-2">
        <a class="nav-link" href="{% url 'archive:index' %}">Archive</a>
      </li>
      <li class="nav-item mx-2">
        <a
          class="nav-link font-weight-bold btn btn-outline-secondary px-3"
          href="{% url 'authentications:logout' %}"
          >Logout</a
        >
      </li>
    </ul>
  </div>
</nav>

<div class="cover-container d-flex w-100 h-100 p-3 mx-auto flex-column">
  <div class="card shadow-box border border-white p-5">
    <h3 class="textSecondaryDark font-weight-bold text-center">Add Tugas</h3>
    <form class="mt-3" action="" method="post">
      {% csrf_token %} {{ form|crispy }}
      <div id="div_id_title" class="form-group">
        <label for="id_date" class="requiredField">
          Date<span class="asteriskField">*</span>
        </label>
        <div class="">
          <input
            type="date"
            name="date"
            id="datetimepicker1"
            class="form-control"
            required=""
            id="id_date"
          />
        </div>
      </div>
      <button type="submit" class="btn w-100 bgSecondaryDark text-white mt-3">
        Submit
      </button>
    </form>
  </div>
</div>
{% endblock body %} 

{% block script %}
<script>
  $(function () {
    $("#datetimepicker1").datetimepicker();
  });
</script>
{% endblock script %}
